Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 15/02/2020, à 08:38

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

@eric63,
Comme toi tu as kub.19.10 encore une fois je me suis étonné ? Je n'ai rien contre ! Pourquoi installer cette version non LTS ? Quand on sait que la version plasma 5 pour kub. a remplacé la version plasma 4, pour une raison de problème et de sécurité! Quand Kub a quitté canonical puis y est revenu chez canonical. Cette version est acceptée !
Pour les commandes de mises à jour ont étés, il y a quelques années, celle-ci :sudo apt-get update && sudo apt-get upgrade
Ces commandes ont étés transformés par celle-ci en root: apt update && apt upgrade
Durant le défilement de ces commandes, il s'affiche qu'il y a des paquets a supprimer avec cette commande : sudo apt autoremove
Une fois fait taper ensuite cette commande : apt upgrade
Si par malheur certaines autorisations ne seront ni présentes et non acceptés, que cette commande apparaîtra apt list --upgradable dans le défilement s'affichera tel ou tel paquet a installer.....
Maintenant utiliser cette commande sudo dpkg --configure -a servira que certaines MàJ seront acceptés ensuite avec cette commande toute simple apt upgrade
Il se peut que d'installer cet outil pourrait servir a supprimer certains paquets de la Brother ! Il s'agit de "ubuntu cleaner" par exemple
j'espère que ce que je viens d'écrire sera compris ? roll

Dernière modification par jibel (Le 15/02/2020, à 08:50)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#27 Le 15/02/2020, à 23:45

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

eric63 a écrit :

j'espère que ce que je viens d'écrire sera compris ?

Pas par moi en tous cas!
Sauf, peut-être, que quand je lis la proposition "voulez-vous continuer O/n" je devrais comprendre que je ne comprends rien et que je ferais mieux de répondre "n".
Pour jibel : si j'ai choisi la brother HL-2130 c'est parce-que c'était la +simple et la-chère des lazer sur le marché des dites "compatibles Linux". Mon scanner lui est un vieux HP qui fonctionne toujours mais dont l'interface graphique n'est, lui aussi, complet que sous winchose, mais avec l'aide de Gimp et Xsane j'arrive à me débrouiller sous Ubuntu. Bon mais là je n'ai plus d'imprimante du tout.

Hors ligne

#28 Le 16/02/2020, à 01:17

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

je tiens compte des remarques pertinentes mais alambiqués de jibel

tropa a écrit :

Sauf, peut-être, que quand je lis la proposition "voulez-vous continuer O/n" je devrais comprendre que je ne comprends rien et que je ferais mieux de répondre "n".

et repondrais O à la question et ferais ensuite

sudo apt update && sudo apt upgrade

Dernière modification par eric63 (Le 16/02/2020, à 01:18)


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#29 Le 16/02/2020, à 14:17

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

@tropa,
Apparemment ton PC ou notebook devrait être un ancien modèle? Pour ce qui est de ton ennui avec cette imprimante de brother modèle HL-2130; Ce modèle ne serait plus commercialisé ? C'est ce que j'ai tapé dans le SAV de Brother. Mais il serait possible de refaire une installe de cette imprimante  avec le tuto de Demonipuch. Mais avant il faut supprimer les paquets spécifiques de cette installe. Aller dans le gestionnaire de fichier===>personnel et vérifier si les fichiers cachées de la brother style LPR et cupwrapper et codes sources sont bien la . Les supprimer oui, mais en "root"
Ensuite déconnecter ton imprimante et refaire le tuto, puis a chaque fois lors du début de la réinstallation, tout s'affichera pas a pas ... Il sera demandé si l'imprimante est branchée en USB port, la marque sera demandée, le modèle etc , l'installation se terminera en principe OK et sera en fonction ? Avec du bol ton imprimante sera de nouveau OK .. Sauf si le tuto de Demonipuch a été modifié.... ? (Ce qui a été dit)
1581865161.png
Voila,  ce qui est présent dans mon PC la brother et la HP... Est-ce que la Brother est OK ? Non, mais avec la HP pas de soucis....

Dernière modification par jibel (Le 16/02/2020, à 15:10)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#30 Le 16/02/2020, à 15:15

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

@eric du Puy-de-Dôme,
C'est normal d'être "alambiqué" force est de supporter le kirsch , y-en a avec le pastis ou autre chose lol  lol  lol


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#31 Le 17/02/2020, à 17:05

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

merci jibel,
j’ai supprimé le dossier Brother de mon répertoire usr. Il contenait cupswrapper et lpr.
benoit@rafal:~$ sudo rm -r /usr/local/Brother
Puis j'ai relancé le script demonipuch, tout a bien marché jusquà l'installation de cupswapper :

benoit@rafal:~$ wget https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
--2020-02-17 16:45:01--  https://bitbucket.org/demonipuch/brprinter-installer/get/master.zip
Résolution de bitbucket.org (bitbucket.org)… 18.205.93.2, 18.205.93.0, 18.205.93.1, ...
Connexion à bitbucket.org (bitbucket.org)|18.205.93.2|:443… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 5475 (5,3K) [application/zip]
Enregistre : «master.zip.2»

master.zip.2        100%[===================>]   5,35K  --.-KB/s    ds 0s      

2020-02-17 16:45:02 (604 MB/s) - «master.zip.2» enregistré [5475/5475]

benoit@rafal:~$ unzip master.zip
Archive:  master.zip
6e4cce8c163b04b0896286f6a76352a675505732
 extracting: demonipuch-brprinter-installer-6e4cce8c163b/.gitignore  
replace demonipuch-brprinter-installer-6e4cce8c163b/brprinter-installer? [y]es, [n]o, [A]ll, [N]one, [r]ename: y
  inflating: demonipuch-brprinter-installer-6e4cce8c163b/brprinter-installer  
benoit@rafal:~$ cd demonipuch-brprinter-installer-*
benoit@rafal:~/demonipuch-brprinter-installer-6e4cce8c163b$ sudo bash brprinter-installer
[sudo] Mot de passe de benoit : 
Entrez votre modèle : HL-2130
Sélectionner le type de connectivité : [0] USB - [1] Réseau
Entrez votre choix : 0
Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : hl2130lpr-2.1.0-1.i386.deb...              [ OK ] 
 * Téléchargement du paquet : cupswrapperHL2130-2.0.4-2.i386.deb...      [ OK ] 
Vérification des pré-requis
 * Mise à jour de la liste des paquets...                                [ OK ] 
 * Recherche du paquet 'multiarch-support' sur votre système...          [ OK ] 
 * Recherche du paquet 'lib32stdc++6' sur votre système...               [ OK ] 
 * Recherche du paquet 'cups' sur votre système...                       [ OK ] 
 * Recherche du dossier '/usr/share/cups/model' sur votre système...     [ OK ] 
 * Recherche du dossier '/var/spool/lpd' sur votre système...            [ OK ] 
Installation des pilotes
 * Installation du paquet : hl2130lpr-2.1.0-1.i386.deb...                [ OK ] 
 * Installation du paquet : cupswrapperHL2130-2.0.4-2.i386.deb...        [fail] 
Configuration de l'imprimante
 * Recherche d'un fichier PPD sur votre système...                       [ OK ] 
 * Ajout de l'imprimante HL-2130...                                      [ OK ] 
benoit@rafal:~/demonipuch-brprinter-installer-6e4cce8c163b$

Est-ce que je n'aurai pas tout supprimé, d'où un conflit. Ou bien trop supprimé?

Hors ligne

#32 Le 17/02/2020, à 20:52

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

@tropa,
Cette réinstalle a été OK , marche-t-elle  cette imprimante ?  Il me semble qu'en allant dans la SAV de brother il y a un  code paquet a  installer qui date de 2018 concernant ton modèle HL-2130 ou 2030 qui ne sont plus commercialisés. Faut-il installer ce paquet téléchargé avant la réinstalle? Ton matos n'est pas un ordinausore  wink
Tout est la .... Ça n'est pas de la tarte.   smile


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#33 Le 17/02/2020, à 21:22

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

* Installation du paquet : cupswrapperHL2130-2.0.4-2.i386.deb...        [fail] 

tu peux vérifier dans ton gestionnaire de paquet (synaptic?) si celui ci est installé et où


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#34 Le 18/02/2020, à 03:25

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

C'est bien la dans synapic, sauf une version ancienne non commercialisée pour HL-2130
1581995598.png
Donc cette version devrait être présente dans le fichier brother.. Ce qui a fait que la HL-2.0.4-2 n'existe plus dans synaptic .... hélas...


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#35 Le 18/02/2020, à 08:30

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

dans le scripty de demonipuch de tropa il y a

Téléchargement des pilotes de l'imprimante
 * Recherche des pilotes...                                              [ OK ] 
 * Téléchargement du paquet : hl2130lpr-2.1.0-1.i386.deb...              [ OK ] 
 * Téléchargement du paquet : cupswrapperHL2130-2.0.4-2.i386.deb...      [ OK ] 

c'est ce paquet là qui doit être installé et pas brother xxxx laser sauf si un paquet générique demande cette dépendance
donc les paquets ont été télécharger mais le dépaquetage c'est mal passé

* Installation du paquet : cupswrapperHL2130-2.0.4-2.i386.deb...        [fail] 

dans ce cas il faut aller avec synaptic( clic sur le paquet et clic droit --> propriétés --> fichiers installés) et , voir les fichiers installés de ce paquet, et copier chaque fichier dans les emplacements prévus par le paquet


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#36 Le 18/02/2020, à 10:38

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Il est possible de se rendre sur le site de brother , voir manuel d'utilisation===> déscendre dans cette page a  "annexe" il y a un paquet de 2.29 mo de 2018 pour la HL-2130 une fois nstallé est-ce que cette imprimante  qui n'est plus commercialisé sera en fonction?? mystère
1582021724.png


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#37 Le 18/02/2020, à 16:08

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

j'ai 2 fichiers cupswrapper, et bizarrement aucun des 2 n'a la date d'hier comme dernière date de modification alors que c'est hier que j'ai suivi le script de demonipuch:
http://pix.toile-libre.org/upload/origi … 040374.jpg
dans synaptic je le vois à la fois sous "installés", sous "installés locaux ou obsolètes" et sous installés (manuellement):
http://pix.toile-libre.org/upload/origi … 040583.jpg
dans mon home, je l'ai extrait pour voir ce qu'il y avait dedans:
http://pix.toile-libre.org/upload/origi … 040959.jpg
( clic sur le paquet et clic droit --> propriétés --> fichiers installés) réponse ci-dessous :
http://pix.toile-libre.org/upload/origi … 041392.jpg
Bon alors il est installé ou pas? L'option sélectionner pour installation n'est pas disponible...


Sur Toile Libre ou TDCT'Pix, choisir le lien « Insérer la miniature dans un forum : »

           1469894479.png

Dernière modification par cqfd93 (Le 18/02/2020, à 16:48)

Hors ligne

#38 Le 18/02/2020, à 16:51

MicP

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Bonjour

J'utilise l'imprimante HL-L2340DW
Pour installer les pilotes j'ai utilisé le script original contenu dans le fichier linux-brprinter-installer-2.2.1-1.gz
proposé sur le site de Brother
(après vérification, c'est exactement le même script que celui pour mon imprimante qui est proposé pour ton imprimante HL-2130)

Après extraction du fichier .gz téléchargé,

gunzip linux-brprinter-installer-2.2.1-1.gz

l'exécution du script décompacté, lancé avec les privilèges du compte superutilisateur root
a tout installé juste en acceptant toutes les propositions par défaut.

(les fichiers wrappers qui ont été installés par le script sont en version 3.2.0-1a)

Dernière modification par MicP (Le 18/02/2020, à 17:00)

Hors ligne

#39 Le 18/02/2020, à 23:06

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

j'ai 2 fichiers cupswrapper, et bizarrement aucun des 2 n'a la date d'hier comme dernière date de modification alors que c'est hier que j'ai suivi le script de demonipuch:

que tu ais 2 fichiers cupswrapper c'est normal le script de demonipuch a télécharger le paquet dans son propre dossier
et toi tu as télécharger aussi un paquet sans doute depuis le site brother dans le dossier par défaut de téléchargement

dans synaptic je le vois à la fois sous "installés", sous "installés locaux ou obsolètes" et sous installés (manuellement):

ben là t'as deux paquets de trop donc je virerais les 3 paquets et purgerais tous les paquets contenant brscan ou brother et referais le script de demonipuch( après avoir virer les master.zip et le ou les dossier demonipuch de ton dossier perso)

dans mon home, je l'ai extrait pour voir ce qu'il y avait dedans:

t'as décompresser le paquet dans le dossier demonipuch je sais pas si c'est une bonne chose

( clic sur le paquet et clic droit --> propriétés --> fichiers installés) réponse ci-dessous :

et donc c'est pas depuis le paquet decompressé qu'il faut voir les propriétés mais depuis le paquet installé dans synaptic
qui te dit que ce paquet est installé (la petite icone verte est là pour confirmer) mais il peut y avoir conflit avec l'autre paquet installés depuis le site de brother
donc là il faut suivre une seule ligne soit le script de demonipuch soit l'install tool de brother

donc la proposition de virer et purger depuis synaptic tous les paquets brother et brscan et cups devraient beaucoup éclaicir le problème avant de suivre l'une ou l'autre ligne


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#40 Le 19/02/2020, à 11:53

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Erreur pendant la suppression des trois paquets dans synaptic. Détail :

(Lecture de la base de données... 221000 fichiers et répertoires déjà installés.)
Suppression de cupswrapperhl2130:i386 (2.0.4-2) ...
sh: 0: Can't open /usr/local/Brother/Printer/HL2130/cupswrapper/cupswrapperHL2130-2.0.4
dpkg: erreur de traitement du paquet cupswrapperhl2130:i386 (--remove) :
 installed cupswrapperhl2130:i386 package pre-removal script subprocess returned error exit status 127
sh: 0: Can't open /usr/local/Brother/Printer/HL2130/cupswrapper/cupswrapperHL2130-2.0.4
Des erreurs ont été rencontrées pendant l'exécution :
 cupswrapperhl2130:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de récupération :

Je suis prévenu qu'en quittant synaptic j'annulerai mes trois sélections de paquets, donc je quitte. En fouillant, j'ouvre le lanceur "imprimantes" de mon lanceur  UNITY et là je vois que j'ai 2 imprimantes :

Elles n'ont pas les mêmes propriétés :

et

Le feuilleton continue...

Hors ligne

#41 Le 19/02/2020, à 13:04

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Comme je l'avais précisé se rendre chez Brother SAV. Tu vas en principe trouver ce dont tu as besoin :
1582116922.png

Apres cela refaire une "destruction" de demonipuch et télécharger les paquets  un par un les installer avec gdebi. P'têt ben qu'avec du bol enfin ton imprimante serait ???? en fonction...
Salut M'sieur @pluche


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#42 Le 19/02/2020, à 13:23

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Je suis prévenu qu'en quittant synaptic j'annulerai mes trois sélections de paquets, donc je quitte.
ben non
faut que tu sois sûr que les paquets dans la rubrique "installés",  "installés locaux ou obsolètes" et " installés (manuellement)" soient purgés(c'est à dire supprimé et vide de fichiers de configuration)

En fouillant, j'ouvre le lanceur "imprimantes" de mon lanceur  UNITY et là je vois que j'ai 2 imprimantes :
donc ça veut dire que tu n'as pas supprimer - purger les paquets brother et brscan et cups
ce sont les pilotes que tu as précédement choisis pour ton imprimante qui sont encore en mémoire il peut y en avoir plusieurs (même plus que 2 suivant ce que tu as fait avant)
tu peux les supprimer tous les deux (tu n'auras plus accès provisoirement  à l'imprimante le temps que tu refasse un reboot obligatoire et le script de demonipuch)
Le feuilleton continue...
pour suivre un feuilleton il faut prendre les épisodes dans l'ordre sinon on comprend plus rien à la fin smile


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#43 Le 19/02/2020, à 13:54

jibel

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Surtout quand on a des matos de différentes fonctions. S.E. XX Kub Ou Ubuntu ou debian ou MX-LINUx etc etc .. Jamais il y aura des similitudes .. Je crois que je vais stopper ma petite aide qui malgré tout devrait être comprise par tous wink
En plus : voila la réponse de brother SAV ...Oui mais a Bruxelles/Groot-Bijgaarden  wink
1582194172.png
il suffit de faire les mêmes choses au SAV Brother.Fr et installer  les paquets pour cette fameuse imprimante wink

Dernière modification par jibel (Le 20/02/2020, à 11:26)


Plus grande est la face, plus grand est le dos!
Toutes les fautes de frappe, d'orthographe, de grammaire et de syntaxe ci-dessus, sont la propriété intellectuelle de l'auteur. Elles doivent être reproduites et même corrigées sans l'accord préalable du susdit et toc !

Avec Mint.17.3, Xub 16.04, Voyager X2 et X8, Debian 9.9 stretch, MX-linux, Hybryde 14.04, Arco .PC medion akira  DD 1T + 2 .

Hors ligne

#44 Le 22/02/2020, à 20:13

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

J'essaye encore une fois  de supprimer les cupswrapperhl2130:i386 dans synaptic : Je les sélectionne pour suppression complète, ils se surlignent en rouge, puis je clique sur "appliquer". Mais j'ai tjrs le message :
une erreur s'est produite : E: cupswrapperhl2130: 16.6667:installed cupswrapperhl2130:i386 package pre-removal script subprocess returned error exit status 127.
Peut-être que je ne sais pas m'y prendre?

Je n'arrive même pas à trouver où est installé ce *!#°! de fichier. Et quand, dans synaptic je clique sur l'onglet "Fichiers installés" de ses "Propriétés" j'ai :
"La liste des fichiers installés n'est pas disponible. Elle s'affichera après l'installation du paquet".
Pour avoir la liste d'un paquet installé il faut d'abord l'installer le paquet??
 
Je ne peux même pas tenter de le supprimer par le terminal puisque je ne connais pas son chemin.

eric63 a écrit :

pour suivre un feuilleton il faut prendre les épisodes dans l'ordre sinon on comprend plus rien à la fin

Ben pour l'instant je bute toujours sur l'épisode 1 :

tu peux les supprimer tous les deux

Bon allez je tente de supprimer les imprimantes dans le lanceur d'Unity :
avant :
http://pix.toile-libre.org/upload/origi … 401294.jpg
après :
http://pix.toile-libre.org/upload/origi … 401585.jpg
Hélas cupswrapperhl2130:i386 est toujours signalé installé par son petit carré vert dans synaptic...


Sur Toile Libre, choisir le lien « Insérer la miniature dans un forum : » 1469894479.png

Dernière modification par cqfd93 (Le 23/02/2020, à 12:18)

Hors ligne

#45 Le 22/02/2020, à 21:04

eric63

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

c'est possible que tu ais des fichiers qui se soit mal supprimés ou partiellement supprimés
donc tu dois avoir par ci par là des bouts de fichiers qui n'ont plus de correspondance
ça va être difficile de retrouver ces bribes

Pour avoir la liste d'un paquet installé il faut d'abord l'installer le paquet
presque; pour voir ou sont les fichiers installés il faut d'abord installer le paquet qui contient un ensemble de fichier et de scripts suivant ta config

Après un reboot tu devrais refaire le script de demonipuch qui va t'installer tous les paquets nécessaires
et tu pourras ajouter une imprimante si le script coince avec le bon pilote (si tu en as plusieurs fait les uns par uns en changeant si possible le nom de l'imprimante pour visuellement repérer la bonne)
tu pourras rebenner les autres plus tard


Kubuntu 19.10 - 64 bits + backports = plasma 5.18.3 KDE 5.67.0 Qt 5.12.4 et noyau 5.3.0-40 4* intel i5-4570 3.2 Ghz 12 Go nvidia gtx 750
pour installer une brother
N'oubliez pas les balises codes
J’utilise le clavier french AFNOR c‘est fort

Hors ligne

#46 Le 23/02/2020, à 11:25

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

ça va être difficile de retrouver ces bribes

Alors voilà tous les fichiers que j'ai trouvés, est-ce que je peux tenter de les supprimer tous sans risque?
http://pix.toile-libre.org/upload/origi … 456066.jpg
http://pix.toile-libre.org/upload/origi … 456126.jpg
http://pix.toile-libre.org/upload/origi … 456162.jpg
http://pix.toile-libre.org/upload/origi … 456206.jpg
http://pix.toile-libre.org/upload/origi … 456236.jpg
http://pix.toile-libre.org/upload/origi … 456267.jpg
Puis je rebooterai et relancerai le script de demonipuch


Sur Toile Libre, choisir le lien « Insérer la miniature dans un forum : » 1469894479.png

Dernière modification par cqfd93 (Le 23/02/2020, à 12:16)

Hors ligne

#47 Le 23/02/2020, à 11:28

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

haha! désolé pour le fichier lecoinbon. J'ai du faire une fausse manip. arrêtez de vous marrer!

Hors ligne

#48 Le 23/02/2020, à 12:55

xubu1957

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Bonjour,

Pour un nettoyage (par rapport à la fin du retour du dernier pavé du #4) :

Le 20/02/2017, moko138 a écrit :

Pour supprimer tous ces fichiers de configuration devenus sans objets et marqués "rc", et uniquement ces fichiers,
exécute :

dpkg -l | awk '/^rc/{print $2}' | xargs -r sudo dpkg -P

_ _ _

Tu peux fournir, en te servant du Retour utilisable de commande :

sudo cat /etc/cups/cupsd.conf

?


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

Hors ligne

#49 Le 23/02/2020, à 16:43

ylag

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

Bonjour,

tropa, au #44 a écrit :

Hélas cupswrapperhl2130:i386 est toujours signalé installé par son petit carré vert dans synaptic...

Pour se débarasser de ce paquet, peut-être tenter la manip suggérée par @cqfd93 au commentaire #18 de cette discussion:
erreur système paquet manquant RESOLU

Ça donnerait quelque chose du genre de:

sudo mv -v /var/lib/dpkg/info/cupswrapperhl2130.* /tmp/
sudo dpkg --remove --force-remove-reinstreq cupswrapperhl2130

A+

Hors ligne

#50 Le 23/02/2020, à 20:15

tropa

Re : [Résolu]18,04 LTS 64bits = Brother HL-2130 ne fonctionne plus

moko138 a écrit :

Pour supprimer tous ces fichiers de configuration devenus sans objets et marqués "rc", et uniquement ces fichiers,
exécute :

benoit@rafal:~$ dpkg -l | awk '/^rc/{print $2}' | xargs -r sudo dpkg -P
[sudo] Mot de passe de benoit : 
(Lecture de la base de données... 221003 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de linux-image-4.15.0-29-generic (4.15.0-29.31) ...
Purge des fichiers de configuration de linux-image-4.15.0-38-generic (4.15.0-38.41) ...
Purge des fichiers de configuration de linux-image-4.15.0-39-generic (4.15.0-39.42) ...
Purge des fichiers de configuration de linux-image-4.15.0-42-generic (4.15.0-42.45) ...
Purge des fichiers de configuration de linux-image-4.15.0-43-generic (4.15.0-43.46) ...
Purge des fichiers de configuration de linux-image-4.15.0-44-generic (4.15.0-44.47) ...
Purge des fichiers de configuration de linux-image-4.15.0-45-generic (4.15.0-45.48) ...
Purge des fichiers de configuration de linux-image-4.15.0-46-generic (4.15.0-46.49) ...
Purge des fichiers de configuration de linux-image-4.15.0-47-generic (4.15.0-47.50) ...
Purge des fichiers de configuration de linux-image-4.15.0-48-generic (4.15.0-48.51) ...
Purge des fichiers de configuration de linux-image-4.15.0-50-generic (4.15.0-50.54) ...
Purge des fichiers de configuration de linux-image-4.15.0-51-generic (4.15.0-51.55) ...
Purge des fichiers de configuration de linux-image-4.15.0-52-generic (4.15.0-52.56) ...
Purge des fichiers de configuration de linux-image-4.15.0-54-generic (4.15.0-54.58) ...
Purge des fichiers de configuration de linux-image-4.15.0-55-generic (4.15.0-55.60) ...
Purge des fichiers de configuration de linux-image-4.15.0-58-generic (4.15.0-58.64) ...
Purge des fichiers de configuration de linux-image-4.15.0-60-generic (4.15.0-60.67) ...
Purge des fichiers de configuration de linux-image-4.15.0-62-generic (4.15.0-62.69) ...
Purge des fichiers de configuration de linux-image-4.15.0-64-generic (4.15.0-64.73) ...
Purge des fichiers de configuration de linux-image-4.15.0-65-generic (4.15.0-65.74) ...
Purge des fichiers de configuration de linux-image-4.15.0-66-generic (4.15.0-66.75) ...
Purge des fichiers de configuration de linux-image-4.15.0-70-generic (4.15.0-70.79) ...
Purge des fichiers de configuration de linux-image-4.15.0-72-generic (4.15.0-72.81) ...
Purge des fichiers de configuration de linux-image-4.15.0-74-generic (4.15.0-74.84) ...
Purge des fichiers de configuration de linux-modules-4.15.0-29-generic (4.15.0-29.31) ...
Purge des fichiers de configuration de linux-modules-4.15.0-38-generic (4.15.0-38.41) ...
Purge des fichiers de configuration de linux-modules-4.15.0-39-generic (4.15.0-39.42) ...
Purge des fichiers de configuration de linux-modules-4.15.0-42-generic (4.15.0-42.45) ...
Purge des fichiers de configuration de linux-modules-4.15.0-43-generic (4.15.0-43.46) ...
Purge des fichiers de configuration de linux-modules-4.15.0-44-generic (4.15.0-44.47) ...
Purge des fichiers de configuration de linux-modules-4.15.0-45-generic (4.15.0-45.48) ...
Purge des fichiers de configuration de linux-modules-4.15.0-46-generic (4.15.0-46.49) ...
Purge des fichiers de configuration de linux-modules-4.15.0-47-generic (4.15.0-47.50) ...
Purge des fichiers de configuration de linux-modules-4.15.0-48-generic (4.15.0-48.51) ...
Purge des fichiers de configuration de linux-modules-4.15.0-50-generic (4.15.0-50.54) ...
Purge des fichiers de configuration de linux-modules-4.15.0-51-generic (4.15.0-51.55) ...
Purge des fichiers de configuration de linux-modules-4.15.0-52-generic (4.15.0-52.56) ...
Purge des fichiers de configuration de linux-modules-4.15.0-54-generic (4.15.0-54.58) ...
Purge des fichiers de configuration de linux-modules-4.15.0-55-generic (4.15.0-55.60) ...
Purge des fichiers de configuration de linux-modules-4.15.0-58-generic (4.15.0-58.64) ...
Purge des fichiers de configuration de linux-modules-4.15.0-60-generic (4.15.0-60.67) ...
Purge des fichiers de configuration de linux-modules-4.15.0-62-generic (4.15.0-62.69) ...
Purge des fichiers de configuration de linux-modules-4.15.0-64-generic (4.15.0-64.73) ...
Purge des fichiers de configuration de linux-modules-4.15.0-65-generic (4.15.0-65.74) ...
Purge des fichiers de configuration de linux-modules-4.15.0-66-generic (4.15.0-66.75) ...
Purge des fichiers de configuration de linux-modules-4.15.0-70-generic (4.15.0-70.79) ...
Purge des fichiers de configuration de linux-modules-4.15.0-72-generic (4.15.0-72.81) ...
Purge des fichiers de configuration de linux-modules-4.15.0-74-generic (4.15.0-74.84) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-29-generic (4.15.0-29.31) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-38-generic (4.15.0-38.41) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-39-generic (4.15.0-39.42) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-42-generic (4.15.0-42.45) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-43-generic (4.15.0-43.46) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-44-generic (4.15.0-44.47) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-45-generic (4.15.0-45.48) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-46-generic (4.15.0-46.49) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-47-generic (4.15.0-47.50) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-48-generic (4.15.0-48.51) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-50-generic (4.15.0-50.54) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-51-generic (4.15.0-51.55) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-52-generic (4.15.0-52.56) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-54-generic (4.15.0-54.58) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-55-generic (4.15.0-55.60) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-58-generic (4.15.0-58.64) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-60-generic (4.15.0-60.67) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-62-generic (4.15.0-62.69) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-64-generic (4.15.0-64.73) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-65-generic (4.15.0-65.74) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-66-generic (4.15.0-66.75) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-70-generic (4.15.0-70.79) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-72-generic (4.15.0-72.81) ...
Purge des fichiers de configuration de linux-modules-extra-4.15.0-74-generic (4.15.0-74.84) ...
benoit@rafal:~$
xubu1957 a écrit :

Tu peux fournir, en te servant du Retour utilisable de commande :

benoit@rafal:~$ sudo cat /etc/cups/cupsd.conf
#
# Configuration file for the CUPS scheduler.  See "man cupsd.conf" for a
# complete description of this file.
#

# Log general information in error_log - change "warn" to "debug"
# for troubleshooting...
LogLevel warn
PageLogFormat

# Deactivate CUPS' internal logrotating, as we provide a better one, especially
# LogLevel debug2 gets usable now
MaxLogSize 0

# Only listen for connections from the local machine.
Listen localhost:631
Listen /run/cups/cups.sock

# Show shared printers on the local network.
Browsing Off
BrowseLocalProtocols dnssd

# Default authentication type, when authentication is required...
DefaultAuthType Basic

# Web interface setting...
WebInterface Yes

# Restrict access to the server...
<Location />
  Order allow,deny
</Location>

# Restrict access to the admin pages...
<Location /admin>
  Order allow,deny
</Location>

# Restrict access to configuration files...
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  Order allow,deny
</Location>

# Restrict access to log files...
<Location /admin/log>
  AuthType Default
  Require user @SYSTEM
  Order allow,deny
</Location>

# Set the default printer/job policies...
<Policy default>
  # Job/subscription privacy...
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default

  # Job-related operations must be done by the owner or an administrator...
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    Order deny,allow
  </Limit>

  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  # All administration operations require an administrator to authenticate...
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default CUPS-Get-Devices>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # All printer operations require a printer operator to authenticate...
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # Only the owner or an administrator can cancel or authenticate a job...
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  <Limit All>
    Order deny,allow
  </Limit>
</Policy>

# Set the authenticated printer/job policies...
<Policy authenticated>
  # Job/subscription privacy...
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default

  # Job-related operations must be done by the owner or an administrator...
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Default
    Order deny,allow
  </Limit>

  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  # All administration operations require an administrator to authenticate...
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # All printer operations require a printer operator to authenticate...
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # Only the owner or an administrator can cancel or authenticate a job...
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  <Limit All>
    Order deny,allow
  </Limit>
</Policy>

# Set the kerberized printer/job policies...
<Policy kerberos>
  # Job/subscription privacy...
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default

  # Job-related operations must be done by the owner or an administrator...
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Negotiate
    Order deny,allow
  </Limit>

  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Negotiate
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  # All administration operations require an administrator to authenticate...
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # All printer operations require a printer operator to authenticate...
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>

  # Only the owner or an administrator can cancel or authenticate a job...
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Negotiate
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>

  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
benoit@rafal:~$ 

Voilà xubu1957, c'est fait!
j'espère que tous les fichiers "rc" ont disparu.

Le cupswrapperhl2130:i386 est toujours dans mon synaptic, j'essayerai tout à l'heure la solution proposée par ylag :
sudo mv -v /var/crash/cupswrapperhl2130:i386.0.crash.* /tmp/

Hors ligne